Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`im`.`basechat`.`ChatUI``

class documentation

`class ChatUI: (source)`

View In Hierarchy

A GUI chat client.

Method | `__init__` | Undocumented
Method | `contactChangedNick` | For the given `person`, change the `person`'s `name` to `newnick` and tell the contact list and any conversation windows with that `person` to change as well.
Method | `getContactsList` | Get the contacts list associated with this chat window.
Method | `getConversation` | For the given person object, return the conversation window or create and return a new conversation window if one does not exist.
Method | `getGroup` | For the given name and account client, return an instance of a `IGroup` provider or create and return a new instance of a `IGroup` provider.
Method | `getGroupConversation` | For the given group object, return the group conversation window or create and return a new group conversation window if it doesn't exist.
Method | `getPerson` | For the given name and account client, return an instance of a `IGroup` provider or create and return a new instance of a `IGroup` provider.
Method | `registerAccountClient` | Notify the user that an account has been signed on to.
Method | `unregisterAccountClient` | Notify the user that an account has been signed off or disconnected.
Instance Variable | `contactsList` | A contacts list.
Instance Variable | `conversations` | A cache of all the direct windows.
Instance Variable | `groupConversations` | A cache of all the group windows.
Instance Variable | `groups` | A cache of all the groups associated with this client.
Instance Variable | `onlineClients` | A list of message sources currently online.
Instance Variable | `persons` | A cache of all the users associated with this client.

def __init__(self): (source)

Undocumented

def contactChangedNick(self, person, newnick): (source)

For the given `person`, change the `person`'s `name` to `newnick` and tell the contact list and any conversation windows with that `person` to change as well.

Parameters
person:`IPerson` provider | The person whose nickname will get changed.
newnick:`str` | The new `name` `person` will take.

def getContactsList(self): (source)

Get the contacts list associated with this chat window.

Returns
`ContactsList` | The contacts list associated with this chat window.

def getConversation(self, person, Class=Conversation, stayHidden=False): (source)

For the given person object, return the conversation window or create and return a new conversation window if one does not exist.

Parameters
person:`IPerson` provider | The person whose conversation window we want to get.
Class:`IConversation` implementor | The kind of conversation window we want. If the conversation window for this person didn't already exist, create one of this type.
stayHidden:`bool` | Whether or not the conversation window should stay hidden.
Returns
`IConversation` provider | The conversation window.

def getGroup(self, name, client): (source)

For the given name and account client, return an instance of a `IGroup` provider or create and return a new instance of a `IGroup` provider.

Parameters
name:`str` | The name of the group of interest.
client:`IClient` provider | The client account of interest.
Returns
`IGroup` provider | The group with that `name`.

def getGroupConversation(self, group, Class=GroupConversation, stayHidden=False): (source)

For the given group object, return the group conversation window or create and return a new group conversation window if it doesn't exist.

Parameters
group:`IGroup` provider | The group whose conversation window we want to get.
Class:`IConversation` implementor | The kind of conversation window we want. If the conversation window for this person didn't already exist, create one of this type.
stayHidden:`bool` | Whether or not the conversation window should stay hidden.
Returns
`IGroupConversation` provider | The group conversation window.

def getPerson(self, name, client): (source)

For the given name and account client, return an instance of a `IGroup` provider or create and return a new instance of a `IGroup` provider.

Parameters
name:`str` | The name of the person of interest.
client:`IClient` provider | The client account of interest.
Returns
`IPerson` provider | The person with that `name`.

def registerAccountClient(self, client): (source)

Notify the user that an account has been signed on to.

Parameters
client:`IClient` provider | The client account for the person who has just signed on.
Returns
`IClient` provider | The client, so that it may be used in a callback chain.

def unregisterAccountClient(self, client): (source)

Notify the user that an account has been signed off or disconnected.

Parameters
client:`IClient` provider | The client account for the person who has just signed off.

contactsList: `ContactsList` = (source)

A contacts list.

conversations: `dict` of `Conversation` = (source)

A cache of all the direct windows.

groupConversations: `dict` of `GroupConversation` = (source)

A cache of all the group windows.

groups: `dict` with keys that are a `tuple` of (`str`, `IAccount` provider) and values that are `IGroup` provider = (source)

A cache of all the groups associated with this client.

onlineClients: `list` of `IClient` providers = (source)

A list of message sources currently online.

persons: `dict` with keys that are a `tuple` of (`str`, `IAccount` provider) and values that are `IPerson` provider = (source)

A cache of all the users associated with this client.